
#ifndef INVENTORY_H
#define INVENTORY_H

//#include "ItemList.h"
#define maxpages 5
#define rows 5
#define coloms 5 

class Inventory
{
private:


public:
int bag [rows][coloms][maxpages]; // 0 mean slot emty -number mean slot use buy item.
int curentpage;
		int numberofpages;
Inventory();
void draw();
bool removeItem(int,int);
void useItem(int,int);
bool addItem(int,int);
};

Inventory::Inventory()
{
curentpage=0;
numberofpages=5;
}

bool Inventory::addItem(int item,int size)
{
	int i,j,k;
if(size==1)
{	
	for(k=0;k<numberofpages;k++)
	{
		for(j=0;j<rows;j++)
		{
			for(i=0;i<coloms;i++)
			{
			
			if(bag[i][j][k]==0)
			{
				bag[i][j][k]=item;
				return true;
			}


			}
		}
	}
}



return false;
}
/*
 bool Inventory::removeItem(int,int)
 {



 }
*/
#endif